#import <Foundation/Foundation.h>
#import <ARKit/ARKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface ARContext : NSObject
@property (nonatomic, strong) ARSCNView *scnView;
@property (nonatomic, strong) ARSession *session;
@property (nonatomic, weak, nullable) id<ARSessionDelegate> sessionDelegate;
@property (nonatomic, weak, nullable) id<ARSCNViewDelegate> viewDelegate;

- (void)startRuning;

- (void)pause;

- (void)addChildNode:(SCNNode *)child;

- (void)removeChildNodeWithName:(NSString *)name;

@end

NS_ASSUME_NONNULL_END
