//
//  AppDelegate.m
//  TestiOSSDKApp
//
//  Created by Wu Plain on 2020/4/24.
//  Copyright © 2020 Wu Plain. All rights reserved.
//

#import "AppDelegate.h"
#import <ligsdk/ligsdk.h>

@interface AppDelegate ()

@end

@implementation AppDelegate


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    LightScanner *scanner = [LightScanner sharedInstance];

    // Test if this device is supported in good network connectivity
    if ([scanner isDeviceSupported] == FALSE) {
        NSLog(@"This mobile phone can't perform scan!");
        return NO;
    }
    
    // Activate LiGSDK
    [scanner activate:@"e9e1a05b-e700-4c62-9c72-29008cb19626" secret:@"$2a$12$u.5Cd0aNvGuThK6UAoQW1e/DZjcZqGF4HzuhTzPDtwlM6yC3VoEQm" completion:^(BOOL succeeded) {
        if (succeeded)
        {
            NSLog(@"SDK (%@) is Activated", [LightScanner getVersion]);
        }
    }];

    return YES;
}


#pragma mark - UISceneSession lifecycle


- (UISceneConfiguration *)application:(UIApplication *)application configurationForConnectingSceneSession:(UISceneSession *)connectingSceneSession options:(UISceneConnectionOptions *)options {
    // Called when a new scene session is being created.
    // Use this method to select a configuration to create the new scene with.
    return [[UISceneConfiguration alloc] initWithName:@"Default Configuration" sessionRole:connectingSceneSession.role];
}


- (void)application:(UIApplication *)application didDiscardSceneSessions:(NSSet<UISceneSession *> *)sceneSessions {
    // Called when the user discards a scene session.
    // If any sessions were discarded while the application was not running, this will be called shortly after application:didFinishLaunchingWithOptions.
    // Use this method to release any resources that were specific to the discarded scenes, as they will not return.
}


@end
